Skip to main content
GET
/
v0
/
players
/
id
Get player by UUID
curl --request GET \
  --url https://controller.platform.simplecloud.app/v0/players/id \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>'
import requests

url = "https://controller.platform.simplecloud.app/v0/players/id"

headers = {
    "X-Network-ID": "<x-network-id>",
    "X-Network-Secret": "<x-network-secret>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-Network-ID': '<x-network-id>', 'X-Network-Secret': '<x-network-secret>'}
};

fetch('https://controller.platform.simplecloud.app/v0/players/id', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "connected_proxy_name": "proxy-1",
  "connected_server_name": "lobby-1",
  "display_name": "Steve",
  "first_seen": "2023-01-01T12:00:00Z",
  "id": "069a79f4-44e9-4726-a5be-fca90e38aaf5",
  "last_seen": "2023-06-15T18:30:00Z",
  "name": "Steve",
  "online": true,
  "online_time_seconds": 36000,
  "playtime_seconds": 36000,
  "properties": {},
  "session_id": "sess_abc123"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

player_id
string
required

Player UUID

Response

OK

Player information

connected_proxy_name
string
Example:

"proxy-1"

connected_server_name
string
Example:

"lobby-1"

display_name
string
Example:

"Steve"

first_seen
string
Example:

"2023-01-01T12:00:00Z"

id
string

Minecraft UUID

Example:

"069a79f4-44e9-4726-a5be-fca90e38aaf5"

last_seen
string
Example:

"2023-06-15T18:30:00Z"

name
string
Example:

"Steve"

online
boolean
Example:

true

online_time_seconds
integer
Example:

36000

playtime_seconds
integer
Example:

36000

properties
object
session_id
string
Example:

"sess_abc123"